"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
Object.defineProperty(exports, "__esModule", { value: true });
var EMPTY_ELEMENTS = [
    'area',
    'base',
    'br',
    'col',
    'embed',
    'hr',
    'img',
    'input',
    'keygen',
    'link',
    'menuitem',
    'meta',
    'param',
    'source',
    'track',
    'wbr'
];
function registerLanguageConfigurations() {
    var htmlConfiguration = require('../../../languages/vue-html-language-configuration.json');
    monaco.languages.setLanguageConfiguration('vue-html', __assign({}, htmlConfiguration, { wordPattern: /(-?\d*\.\d\w*)|([^\`\~\!\@\$\^\&\*\(\)\=\+\[\{\]\}\\\|\;\:\'\"\,\.\<\>\/\s]+)/g, onEnterRules: [
            {
                beforeText: new RegExp("<(?!(?:" + EMPTY_ELEMENTS.join('|') + "))([_:\\w][_:\\w-.\\d]*)([^/>]*(?!/)>)[^<]*$", 'i'),
                afterText: /^<\/([_:\w][_:\w-.\d]*)\s*>$/i,
                action: { indentAction: monaco.languages.IndentAction.IndentOutdent }
            },
            {
                beforeText: new RegExp("<(?!(?:" + EMPTY_ELEMENTS.join('|') + "))(\\w[\\w\\d]*)([^/>]*(?!/)>)[^<]*$", 'i'),
                action: { indentAction: monaco.languages.IndentAction.Indent }
            }
        ] }));
    var pugConfiguration = require('../../../languages/vue-pug-language-configuration.json');
    monaco.languages.setLanguageConfiguration('vue-pug', __assign({}, pugConfiguration, { wordPattern: /(-?\d*\.\d\w*)|([^\`\~\!\@\$\^\&\*\(\)\=\+\[\{\]\}\\\|\;\:\'\"\,\.\<\>\/\s]+)/g, onEnterRules: [
            {
                beforeText: new RegExp("<(?!(?:" + EMPTY_ELEMENTS.join('|') + "))([_:\\w][_:\\w-.\\d]*)([^/>]*(?!/)>)[^<]*$", 'i'),
                afterText: /^<\/([_:\w][_:\w-.\d]*)\s*>$/i,
                action: { indentAction: monaco.languages.IndentAction.IndentOutdent }
            },
            {
                beforeText: new RegExp("<(?!(?:" + EMPTY_ELEMENTS.join('|') + "))(\\w[\\w\\d]*)([^/>]*(?!/)>)[^<]*$", 'i'),
                action: { indentAction: monaco.languages.IndentAction.Indent }
            }
        ] }));
    var postcssConfiguration = require('../../../languages/vue-postcss-language-configuration.json');
    monaco.languages.setLanguageConfiguration('vue-postcss', postcssConfiguration);
}
exports.registerLanguageConfigurations = registerLanguageConfigurations;
function registerLanguage() {
    monaco.languages.register({
        id: 'vue-html',
        aliases: [
            'Vue-html'
        ]
    });
    monaco.languages.register({
        id: 'vue-postcss',
        aliases: [
            'Vue-postcss'
        ]
    });
    monaco.languages.register({
        id: 'vue-pug',
        aliases: [
            'Vue-pug'
        ]
    });
}
exports.registerLanguage = registerLanguage;
