import { BaseLanguageClientContribution, Workspace, Languages, LanguageClientFactory, ILanguageClient, Window, LanguageClientOptions } from '@devpodio/languages/lib/browser';
import { ResourceProvider } from '@devpodio/core';
import { VuePreferences } from './vue-preferences';
export declare class VueClientContribution extends BaseLanguageClientContribution {
    protected readonly workspace: Workspace;
    protected readonly languages: Languages;
    protected readonly resourceProvider: ResourceProvider;
    protected readonly window: Window;
    protected readonly preferences: VuePreferences;
    protected readonly languageClientFactory: LanguageClientFactory;
    readonly id = "vue";
    readonly name = "Vue";
    constructor(workspace: Workspace, languages: Languages, resourceProvider: ResourceProvider, window: Window, preferences: VuePreferences, languageClientFactory: LanguageClientFactory);
    readonly configurationSection: string[];
    protected readonly globPatterns: string[];
    protected readonly documentSelector: string[];
    protected onReady(languageClient: ILanguageClient): void;
    protected registerCustomClientNotificationHandlers(client: ILanguageClient): void;
    protected createOptions(): LanguageClientOptions;
}
